diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/send-params.h ns-3.44/src/wimax/model/send-params.h
--- ns-3.43/src/wimax/model/send-params.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/send-params.h	2025-03-09 16:55:49.815372700 -0700
@@ -17,8 +17,8 @@
 class WimaxPhy;
 
 /**
- * \ingroup wimax
- * \brief The SendParams class defines the parameters with which Send() function of
+ * @ingroup wimax
+ * @brief The SendParams class defines the parameters with which Send() function of
  *  a particular PHY is called. The sole purpose of this class is to allow
  *  defining the pure virtual Send() function in the PHY base-class (WimaxPhy).
  *  This class shall be sub-classed every time a new PHY is integrated (i.e.,
@@ -59,15 +59,15 @@
     /**
      * Constructor
      *
-     * \param burst packet burst object
-     * \param modulationType modulation type
-     * \param direction the direction
+     * @param burst packet burst object
+     * @param modulationType modulation type
+     * @param direction the direction
      */
     OfdmSendParams(Ptr<PacketBurst> burst, uint8_t modulationType, uint8_t direction);
     ~OfdmSendParams() override;
 
     /**
-     * \return the packet burst
+     * @return the packet burst
      */
     Ptr<PacketBurst> GetBurst() const
     {
@@ -75,7 +75,7 @@
     }
 
     /**
-     * \return the modulation type
+     * @return the modulation type
      */
     uint8_t GetModulationType() const
     {
@@ -83,7 +83,7 @@
     }
 
     /**
-     * \return the direction
+     * @return the direction
      */
     uint8_t GetDirection() const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/service-flow.h ns-3.44/src/wimax/model/service-flow.h
--- ns-3.43/src/wimax/model/service-flow.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/service-flow.h	2025-03-09 16:55:49.815372700 -0700
@@ -25,7 +25,7 @@
 class WimaxMacQueue;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements service flows as described by the IEEE-802.16 standard
  */
 class ServiceFlow
@@ -85,23 +85,23 @@
     };
 
     /**
-     * \brief creates a TLV from this service flow
-     * \return the created tlv
+     * @brief creates a TLV from this service flow
+     * @return the created tlv
      */
     Tlv ToTlv() const;
     /**
-     * \brief creates a service flow from a TLV
-     * \param tlv the tlv from which the service flow will be created
+     * @brief creates a service flow from a TLV
+     * @param tlv the tlv from which the service flow will be created
      */
     ServiceFlow(Tlv tlv);
     /**
-     * \brief check classifier match.
-     * \param srcAddress the source ip address
-     * \param dstAddress the destination ip address
-     * \param srcPort the source port
-     * \param dstPort the destination port
-     * \param proto the layer 4 protocol
-     * \return true if the passed parameters match the classifier of the service flow, false
+     * @brief check classifier match.
+     * @param srcAddress the source ip address
+     * @param dstAddress the destination ip address
+     * @param srcPort the source port
+     * @param dstPort the destination port
+     * @param proto the layer 4 protocol
+     * @return true if the passed parameters match the classifier of the service flow, false
      * otherwise
      */
     bool CheckClassifierMatch(Ipv4Address srcAddress,
@@ -116,21 +116,21 @@
     /**
      * Constructor
      *
-     * \param direction the direction
+     * @param direction the direction
      */
     ServiceFlow(Direction direction);
     /**
      * Constructor
      *
-     * \param sf service flow
+     * @param sf service flow
      */
     ServiceFlow(const ServiceFlow& sf);
     /**
      * Constructor
      *
-     * \param sfid the SFID
-     * \param direction the direction
-     * \param connection the connection object
+     * @param sfid the SFID
+     * @param direction the direction
+     * @param connection the connection object
      */
     ServiceFlow(uint32_t sfid, Direction direction, Ptr<WimaxConnection> connection);
     /**
@@ -139,8 +139,8 @@
     ~ServiceFlow();
     /**
      * assignment operator
-     * \param o the service flow to assign
-     * \returns the service flow
+     * @param o the service flow to assign
+     * @returns the service flow
      */
     ServiceFlow& operator=(const ServiceFlow& o);
 
@@ -150,84 +150,84 @@
     void InitValues();
     /**
      * Set direction
-     * \param direction the direction value
+     * @param direction the direction value
      */
     void SetDirection(Direction direction);
     /**
      * Get direction
-     * \returns the direction
+     * @returns the direction
      */
     Direction GetDirection() const;
     /**
      * Copy parameters from another service flow
-     * \param sf the service flow
+     * @param sf the service flow
      */
     void CopyParametersFrom(ServiceFlow sf);
 
     /**
      * Set type of service flow
-     * \param type the type value
+     * @param type the type value
      */
     void SetType(Type type);
     /**
      * Get type of service flow
-     * \returns the type
+     * @returns the type
      */
     Type GetType() const;
     /**
      * Set connection
-     * \param connection the connection
+     * @param connection the connection
      */
     void SetConnection(Ptr<WimaxConnection> connection);
     /**
      * Can return a null connection is this service flow has not
      * been associated yet to a connection.
-     * \returns pointer to the WimaxConnection
+     * @returns pointer to the WimaxConnection
      */
     Ptr<WimaxConnection> GetConnection() const;
 
     /**
      * Set is enabled flag
-     * \param isEnabled is enabled flag
+     * @param isEnabled is enabled flag
      */
     void SetIsEnabled(bool isEnabled);
     /**
      * Get is enabled flag
-     * \returns is enabled
+     * @returns is enabled
      */
     bool GetIsEnabled() const;
 
     /**
      * Set service flow record
-     * \param record pointer to the service flow record
+     * @param record pointer to the service flow record
      */
     void SetRecord(ServiceFlowRecord* record);
     /**
      * Get service flow record
-     * \returns pointer to the service flow record
+     * @returns pointer to the service flow record
      */
     ServiceFlowRecord* GetRecord() const;
 
     // wrapper functions
     /**
      * Get pointer to queue
-     * \returns pointer to the wimax mac queue
+     * @returns pointer to the wimax mac queue
      */
     Ptr<WimaxMacQueue> GetQueue() const;
     /**
      * Get scheduling type
-     * \returns the scheduling type
+     * @returns the scheduling type
      */
     ServiceFlow::SchedulingType GetSchedulingType() const;
     /**
      * Check if packets are present
-     * \returns true if there are packets
+     * @returns true if there are packets
      */
     bool HasPackets() const;
     /**
      * Check if packets of particular type are present
-     * \param packetType the packet type to select
-     * \returns true if there are packets of the packet type
+     * @param packetType the packet type to select
+     * @returns true if there are packets of the packet type
      */
     bool HasPackets(MacHeaderType::HeaderType packetType) const;
 
@@ -243,315 +243,315 @@
 
     /**
      * Get scheduling type string
-     * \returns the name of the scheduling type
+     * @returns the name of the scheduling type
      */
     char* GetSchedulingTypeStr() const;
 
     /**
      * Get SFID
-     * \returns the SFID
+     * @returns the SFID
      */
     uint32_t GetSfid() const;
     /**
      * Get CID
-     * \returns the CID
+     * @returns the CID
      */
     uint16_t GetCid() const;
     /**
      * Get service class name
-     * \returns the service class name
+     * @returns the service class name
      */
     std::string GetServiceClassName() const;
     /**
      * Get QOS parameter set type
-     * \returns the QOS parameter set type
+     * @returns the QOS parameter set type
      */
     uint8_t GetQosParamSetType() const;
     /**
      * Get traffic priority
-     * \returns the traffic priority
+     * @returns the traffic priority
      */
     uint8_t GetTrafficPriority() const;
     /**
      * Get max sustained traffic rate
-     * \returns the maximum sustained traffic rate
+     * @returns the maximum sustained traffic rate
      */
     uint32_t GetMaxSustainedTrafficRate() const;
     /**
      * Get max traffic burst
-     * \returns the maximum traffic burst
+     * @returns the maximum traffic burst
      */
     uint32_t GetMaxTrafficBurst() const;
     /**
      * Get minimum reserved traffic rate
-     * \returns the minimum reserved traffic rate
+     * @returns the minimum reserved traffic rate
      */
     uint32_t GetMinReservedTrafficRate() const;
     /**
      * Get minimum tolerable traffic rate
-     * \returns the minimum tolerable traffic rate
+     * @returns the minimum tolerable traffic rate
      */
     uint32_t GetMinTolerableTrafficRate() const;
     /**
      * Get service scheduling type
-     * \returns the scheduling type
+     * @returns the scheduling type
      */
     ServiceFlow::SchedulingType GetServiceSchedulingType() const;
     /**
      * Get request transmission policy
-     * \returns the request transmission policy
+     * @returns the request transmission policy
      */
     uint32_t GetRequestTransmissionPolicy() const;
     /**
      * Get tolerated jitter
-     * \returns the tolerated jitter
+     * @returns the tolerated jitter
      */
     uint32_t GetToleratedJitter() const;
     /**
      * Get maximum latency
-     * \returns the maximum latency
+     * @returns the maximum latency
      */
     uint32_t GetMaximumLatency() const;
     /**
      * Get fixed versus variable SDU indicator
-     * \returns the fixed vs variable SDU indicator
+     * @returns the fixed vs variable SDU indicator
      */
     uint8_t GetFixedversusVariableSduIndicator() const;
     /**
      * Get SDU size
-     * \returns the SDU size
+     * @returns the SDU size
      */
     uint8_t GetSduSize() const;
     /**
      * Get target SAID
-     * \returns the target SAID
+     * @returns the target SAID
      */
     uint16_t GetTargetSAID() const;
     /**
      * Get ARQ enable
-     * \returns the ARQ enable
+     * @returns the ARQ enable
      */
     uint8_t GetArqEnable() const;
     /**
      * Get ARQ retry timeout transmit
-     * \returns the ARQ retry timeout
+     * @returns the ARQ retry timeout
      */
     uint16_t GetArqWindowSize() const;
     /**
      * Get ARQ retry timeout transmit
-     * \returns the ARQ retry timeout transmit
+     * @returns the ARQ retry timeout transmit
      */
     uint16_t GetArqRetryTimeoutTx() const;
     /**
      * Get ARQ retry timeout receive
-     * \returns the ARQ retry timeout receive
+     * @returns the ARQ retry timeout receive
      */
     uint16_t GetArqRetryTimeoutRx() const;
     /**
      * Get ARQ block lifetime
-     * \returns the ARQ block lifetime
+     * @returns the ARQ block lifetime
      */
     uint16_t GetArqBlockLifeTime() const;
     /**
      * Get ARQ sync loss
-     * \returns the ARQ sync loss value
+     * @returns the ARQ sync loss value
      */
     uint16_t GetArqSyncLoss() const;
     /**
      * Get ARQ deliver in order
-     * \returns the ARQ deliver in order
+     * @returns the ARQ deliver in order
      */
     uint8_t GetArqDeliverInOrder() const;
     /**
      * Get ARQ purge timeout
-     * \returns the ARQ purge timeout value
+     * @returns the ARQ purge timeout value
      */
     uint16_t GetArqPurgeTimeout() const;
     /**
      * Get ARQ block size
-     * \returns the ARQ block size
+     * @returns the ARQ block size
      */
     uint16_t GetArqBlockSize() const;
     /**
      * Get CS specification
-     * \returns the CS specification
+     * @returns the CS specification
      */
     CsSpecification GetCsSpecification() const;
     /**
      * Get convergence sublayer
-     * \returns the convergence sublayer
+     * @returns the convergence sublayer
      */
     CsParameters GetConvergenceSublayerParam() const;
     /**
      * Get unsolicited grant interval
-     * \returns the unsolicited grant interval
+     * @returns the unsolicited grant interval
      */
     uint16_t GetUnsolicitedGrantInterval() const;
     /**
      * Get unsolicited polling interval
-     * \returns the unsolicited polling interval
+     * @returns the unsolicited polling interval
      */
     uint16_t GetUnsolicitedPollingInterval() const;
     /**
      * Get is multicast
-     * \returns the is multicast flag
+     * @returns the is multicast flag
      */
     bool GetIsMulticast() const;
     /**
      * Get modulation
-     * \returns the modulation
+     * @returns the modulation
      */
     WimaxPhy::ModulationType GetModulation() const;
 
     /**
      * Set SFID
-     * \param sfid the SFID
+     * @param sfid the SFID
      */
     void SetSfid(uint32_t sfid);
     /**
      * Set service class name
-     * \param name the service class name
+     * @param name the service class name
      */
     void SetServiceClassName(std::string name);
     /**
      * Set QOS parameter set type
-     * \param type the QOS parameter set type
+     * @param type the QOS parameter set type
      */
     void SetQosParamSetType(uint8_t type);
     /**
      * Set traffic priority
-     * \param priority the traffic priority
+     * @param priority the traffic priority
      */
     void SetTrafficPriority(uint8_t priority);
     /**
      * Set max sustained traffic rate
-     * \param maxSustainedRate the maximum sustained traffic rate
+     * @param maxSustainedRate the maximum sustained traffic rate
      */
     void SetMaxSustainedTrafficRate(uint32_t maxSustainedRate);
     /**
      * Set maximum traffic burst
-     * \param maxTrafficBurst the maximum traffic burst
+     * @param maxTrafficBurst the maximum traffic burst
      */
     void SetMaxTrafficBurst(uint32_t maxTrafficBurst);
     /**
      * Set minimum reserved traffic rate
-     * \param minResvRate the minimum reserved traffic rate
+     * @param minResvRate the minimum reserved traffic rate
      */
     void SetMinReservedTrafficRate(uint32_t minResvRate);
     /**
      * Set minimum tolerable traffic rate
-     * \param minJitter the minimum tolerable traffic rate
+     * @param minJitter the minimum tolerable traffic rate
      */
     void SetMinTolerableTrafficRate(uint32_t minJitter);
     /**
      * Set service scheduling type
-     * \param schedType the service scheduling type
+     * @param schedType the service scheduling type
      */
     void SetServiceSchedulingType(ServiceFlow::SchedulingType schedType);
     /**
      * Set request transmission policy
-     * \param policy the request transmission policy
+     * @param policy the request transmission policy
      */
     void SetRequestTransmissionPolicy(uint32_t policy);
     /**
      * Set tolerated jitter
-     * \param jitter the tolerated jitter
+     * @param jitter the tolerated jitter
      */
     void SetToleratedJitter(uint32_t jitter);
     /**
      * Set maximum latency
-     * \param MaximumLatency the maximum latency
+     * @param MaximumLatency the maximum latency
      */
     void SetMaximumLatency(uint32_t MaximumLatency);
     /**
      * Set fixed versus variable SDU indicator
-     * \param sduIndicator fixed vs variable SDU indicator
+     * @param sduIndicator fixed vs variable SDU indicator
      */
     void SetFixedversusVariableSduIndicator(uint8_t sduIndicator);
     /**
      * Set SDU size
-     * \param sduSize the SDU size
+     * @param sduSize the SDU size
      */
     void SetSduSize(uint8_t sduSize);
     /**
      * Set target SAID
-     * \param targetSaid the target SAID value
+     * @param targetSaid the target SAID value
      */
     void SetTargetSAID(uint16_t targetSaid);
     /**
      * Set ARQ enable
-     * \param arqEnable the ARQ enable setting
+     * @param arqEnable the ARQ enable setting
      */
     void SetArqEnable(uint8_t arqEnable);
     /**
      * Set ARQ retry timeout transmit
-     * \param arqWindowSize the ARQ retry timeout transmit
+     * @param arqWindowSize the ARQ retry timeout transmit
      */
     void SetArqWindowSize(uint16_t arqWindowSize);
     /**
      * Set ARQ retry timeout transmit
-     * \param timeout the ARQ retry timeout transmit
+     * @param timeout the ARQ retry timeout transmit
      */
     void SetArqRetryTimeoutTx(uint16_t timeout);
     /**
      * Set ARQ retry timeout receive
-     * \param timeout the timeout
+     * @param timeout the timeout
      */
     void SetArqRetryTimeoutRx(uint16_t timeout);
     /**
      * Set ARQ block lifetime
-     * \param lifeTime the ARQ block life time
+     * @param lifeTime the ARQ block life time
      */
     void SetArqBlockLifeTime(uint16_t lifeTime);
     /**
      * Set ARQ sync loss
-     * \param syncLoss the ARQ sync loss
+     * @param syncLoss the ARQ sync loss
      */
     void SetArqSyncLoss(uint16_t syncLoss);
     /**
      * Set ARQ deliver in order
-     * \param inOrder the deliver in order setting
+     * @param inOrder the deliver in order setting
      */
     void SetArqDeliverInOrder(uint8_t inOrder);
     /**
      * Set ARQ purge timeout
-     * \param timeout the timeout value
+     * @param timeout the timeout value
      */
     void SetArqPurgeTimeout(uint16_t timeout);
     /**
      * Set ARQ block size
-     * \param size the size
+     * @param size the size
      */
     void SetArqBlockSize(uint16_t size);
     /**
      * Set CS specification
-     * \param spec the CS specification
+     * @param spec the CS specification
      */
     void SetCsSpecification(CsSpecification spec);
     /**
      * Set convergence sublayer parameters
-     * \param csparam the convergence sublayer parameters
+     * @param csparam the convergence sublayer parameters
      */
     void SetConvergenceSublayerParam(CsParameters csparam);
 
     /**
      * Set unsolicited grant interval
-     * \param unsolicitedGrantInterval the unsolicited grant interval
+     * @param unsolicitedGrantInterval the unsolicited grant interval
      */
     void SetUnsolicitedGrantInterval(uint16_t unsolicitedGrantInterval);
     /**
      * Set unsolicited polling interval
-     * \param unsolicitedPollingInterval the unsolicited polling interval
+     * @param unsolicitedPollingInterval the unsolicited polling interval
      */
     void SetUnsolicitedPollingInterval(uint16_t unsolicitedPollingInterval);
     /**
      * Set is multicast
-     * \param isMulticast the is multicast flag
+     * @param isMulticast the is multicast flag
      */
     void SetIsMulticast(bool isMulticast);
     /**
      * Set modulation
-     * \param modulationType the modulation type
+     * @param modulationType the modulation type
      */
     void SetModulation(WimaxPhy::ModulationType modulationType);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/service-flow-manager.h ns-3.44/src/wimax/model/service-flow-manager.h
--- ns-3.43/src/wimax/model/service-flow-manager.h	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/service-flow-manager.h	2025-03-09 16:55:49.815372700 -0700
@@ -27,7 +27,7 @@
 class WimaxConnection;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * The same service flow manager class serves both for BS and SS though some functions are exclusive
  * to only one of them.
  */
@@ -42,8 +42,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -53,60 +53,60 @@
 
     /**
      * Add service flow function
-     * \param serviceFlow the service flow
+     * @param serviceFlow the service flow
      */
     void AddServiceFlow(ServiceFlow* serviceFlow);
     /**
      * Get service flow by flow id
-     * \param sfid the service flow id
-     * \returns pointer to the service flow object corresponding to the flow id
+     * @param sfid the service flow id
+     * @returns pointer to the service flow object corresponding to the flow id
      */
     ServiceFlow* GetServiceFlow(uint32_t sfid) const;
     /**
      * Get service flow by CID
-     * \param cid the CID
-     * \returns pointer to the service flow object corresponding to the CID
+     * @param cid the CID
+     * @returns pointer to the service flow object corresponding to the CID
      */
     ServiceFlow* GetServiceFlow(Cid cid) const;
     /**
      * Get service flows function
-     * \param schedulingType the scheduling type
-     * \returns vector of pointers to service flows corresponding to the scheduling type
+     * @param schedulingType the scheduling type
+     * @returns vector of pointers to service flows corresponding to the scheduling type
      */
     std::vector<ServiceFlow*> GetServiceFlows(ServiceFlow::SchedulingType schedulingType) const;
 
     /**
-     * \return true if all service flows are allocated, false otherwise
+     * @return true if all service flows are allocated, false otherwise
      */
     bool AreServiceFlowsAllocated();
     /**
-     * \param  serviceFlows vector of pointers to service flows to be checked
-     * \return true if all service flows are allocated, false otherwise
+     * @param  serviceFlows vector of pointers to service flows to be checked
+     * @return true if all service flows are allocated, false otherwise
      */
     bool AreServiceFlowsAllocated(std::vector<ServiceFlow*>* serviceFlows);
     /**
-     * \param  serviceFlows vector of pointers to service flows to be checked
-     * \return true if all service flows are allocated, false otherwise
+     * @param  serviceFlows vector of pointers to service flows to be checked
+     * @return true if all service flows are allocated, false otherwise
      */
     bool AreServiceFlowsAllocated(std::vector<ServiceFlow*> serviceFlows);
     /**
-     * \return pointer to the next service flow to be allocated
+     * @return pointer to the next service flow to be allocated
      */
     ServiceFlow* GetNextServiceFlowToAllocate();
 
     /**
-     * \return the number of all service flows
+     * @return the number of all service flows
      */
     uint32_t GetNrServiceFlows() const;
 
     /**
-     * \param SrcAddress the source ip address
-     * \param DstAddress the destination ip address
-     * \param SrcPort the source port
-     * \param DstPort the destination port
-     * \param Proto the protocol
-     * \param dir the direction of the service flow
-     * \return the service flow to which this ip flow is associated
+     * @param SrcAddress the source ip address
+     * @param DstAddress the destination ip address
+     * @param SrcPort the source port
+     * @param DstPort the destination port
+     * @param Proto the protocol
+     * @param dir the direction of the service flow
+     * @return the service flow to which this ip flow is associated
      */
     ServiceFlow* DoClassify(Ipv4Address SrcAddress,
                             Ipv4Address DstAddress,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/service-flow-record.cc ns-3.44/src/wimax/model/service-flow-record.cc
--- ns-3.43/src/wimax/model/service-flow-record.cc	2024-10-09 16:41:10.144657000 -0700
+++ ns-3.44/src/wimax/model/service-flow-record.cc	2025-03-09 16:55:49.815372700 -0700
@@ -13,8 +13,8 @@
 
 ServiceFlowRecord::ServiceFlowRecord()
     : m_grantSize(0),
-      m_grantTimeStamp(Seconds(0)),
-      m_dlTimeStamp(Seconds(0)),
+      m_grantTimeStamp(),
+      m_dlTimeStamp(),
       m_pktsSent(0),
       m_pktsRcvd(0),
       m_bytesSent(0),
